((PLUGIN_ID) => {
  "use strict";

  const config = kintone.plugin.app.getConfig(PLUGIN_ID);
  console.log(config)

  kintone.events.on("app.record.detail.process.proceed", function(event) {
    let amount;
    let size;

    let status = event.nextStatus.value;
    console.log(status)
    if (status === config["status"]) {
      (config["amount"] == "") ? amount = 100 : amount = config["amount"];
      (config["size"] == "") ? size = 30 : size = config["size"];
      $(document).ready(function() {
        $(document).snowfall({
          // 紙吹雪の量
          flakeCount: amount,
          // z-indexの値
          flakeIndex: "888",
          // 最小サイズ
          minSize: 8,
          // // 最大サイズ
          maxSize: size,
          // 最低速度
          minSpeed: 1,
          // 最高速度
          maxSpeed: 3,
          // 影をつける
          shadow: false,
          // 画像
          image: ["https://knsoza1.com/wp-content/uploads/2020/10/b5d00d53d8b979c18ccd157f0174faa2.png"
            // "画像へのパス"
          ]
        });
             // 3秒後にアニメーションを停止
        setTimeout(function() {
          $(document).snowfall('clear');
        }, 3000);

      });
    }

    return event;
  });
})(kintone.$PLUGIN_ID);


